#
# spec file for package setroubleshoot-plugins
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           setroubleshoot-plugins
Version:        3.3.14
Release:        1.3
Summary:        Helps troubleshoot SELinux problems
License:        GPL-2.0-or-later
Group:          Productivity/Security
URL:            https://github.com/fedora-selinux/setroubleshoot
Source:         https://releases.pagure.org/setroubleshoot/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  perl-XML-Parser
BuildRequires:  python3-devel
# Introduction of get_package_nvr functions
Requires:       setroubleshoot-server >= 3.3.23
BuildArch:      noarch

%description
This package provides a set of analysis plugins for use with
setroubleshoot. Each plugin has the capacity to analyze SELinux AVC
data and system data to provide user friendly reports describing how
to interpret SELinux AVC denials.

%lang_package

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}%{_datadir}/doc
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}/locale
%fdupes %{buildroot}%{_datadir}/setroubleshoot/plugins

%files
%license COPYING
%doc AUTHORS ChangeLog README
%dir %{_datadir}/setroubleshoot
%{_datadir}/setroubleshoot/plugins

%files lang -f %{name}.lang

%changelog
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 3.3.14:
  * Update translations
  * Add 'fur' into shipped locales
  * Update translations
* Tue May 18 2021 Ludwig Nussel <lnussel@suse.de>
- Don't call dbus-send in %%post as that would auto launch the server
* Mon Mar 15 2021 Predrag Ivanović <predivan@mts.rs>
-  Update to 3.3.12
  Summary of the changes from 3.3.10 to 3.3.12
  * Use get_package_nvr* functions instead of get_rpm_nvr*
  * Add plugin which analyzes execmem denials
  * Update qemu_blk_image and qemu_file_image
  * Update "xen_image" plugin
  * update "file" plugin
  * Handle no "allowed_target_types" properly
  * bind_ports: Do not use when there are no allowed_target_types
  * Fix summary and "if" text for AVCs with unknown target path
* Wed May 16 2018 mcepl@suse.com
- Rebase to 3.3.9
* Thu Feb 25 2010 prusnak@suse.cz
- updated to 2.1.40
* Wed Jun 10 2009 prusnak@suse.cz
- initial version 2.0.16
  * based on Fedora package
